Emgmbh\MarketBundle\Entity\MarketResponsibilityWorker:
    type: entity
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY

    fields:
        workerConfirmedAt:
            type: datetime
            nullable: true
        leaderConfirmedAt:
            type: datetime
            nullable: true

    manyToOne:
        responsibility:
            targetEntity: Emgmbh\MarketBundle\Entity\MarketResponsibility
            cascade: {  }
            fetch: LAZY
            inversedBy: workers
            orphanRemoval: false

        worker:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
            cascade: {  }
            fetch: LAZY
            inversedBy: responsibilityWorkers
            orphanRemoval: false

        leader:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            orphanRemoval: false
            nullable: true